Unit tasp1c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ASP1C_p;

function tasp1c: String;

implementation

function tasp1c: String;
var
P,I,J,_i :Integer;
R :Complex;
B :Array [0..4] of Complex;
T :Array [0..5] of Complex;
S :Array [0..4] of Integer;
const
A :Array [0..29] of Complex = ( ( re:0.0; im:0.0 ),( re:2.0; im:3.0 ),( re:0.0; 
im:0.0 ),( re:7.0; im:1.0 ),( re:1.0; im:-1.0 ),( 
re:3.0; im:1.0 ),( re:1.0; im:0.0 ),( re:0.0; 
im:0.0 ),( re:-1.0; im:-2.0 ),( re:1.0; im:-1.0 ),
( re:-2.0; im:-1.0 ),( re:1.0; im:0.0 ),( re:1.0; 
im:1.0 ),( re:-1.0; im:-2.0 ),( re:2.0; im:2.0 ),
( re:1.0; im:1.0 ),( re:1.0; im:0.0 ),( re:2.0; 
im:1.0 ),( re:0.0; im:0.0 ),( re:3.0; im:1.0 ),( 
re:1.0; im:0.0 ),( re:1.0; im:0.0 ),( re:-1.0; 
im:1.0 ),( re:1.0; im:-1.0 ),( re:3.0; im:1.0 ),( 
re:0.0; im:1.0 ),( re:0.0; im:0.0 ),( re:3.0; 
im:5.0 ),( re:1.0; im:-1.0 ),( re:3.0; im: 1.0 ) );
X :Array [0..5] of Complex = ( ( re:-5.0; im:-5.0 ),( re:0.0; im:2.0 ),( 
re:-3.0; im:0.0 ),( re:2.0; im:3.0 ),( re:-7.0; 
im:2.0 ),( re:6.0; im: 15.0 ) );
label
_20,_21;
begin
Result := '';  {   }
for I:=1 to 5 do
 begin
  R := Cmplx(0.0,0.0);
  for J:=1 to 6 do
   begin
_20:
    R := AddC(R,MulC(A[(I-1)+(J-1)*5],Conjg(X[J-1])));
   end;
_21:
  B[I-1] := R;
 end;
Result := Result + Format('%s',
 ['          PEEHE HEOOPEEEHHO CCTEM AX=B OHOO PAHA' + #$0D#$0A +
 '          METOOM OTPAEH  KOMEKCHX A  B.' + #$0D#$0A]) + #$0D#$0A; 
Result := Result + Format('%s',[' CXOHE AHHE:']) + #$0D#$0A; 
Result := Result + Format('%s',[' A' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 6 do
   begin
    Result := Result + Format('%20.16f %20.16f ',
 [A[(I-1)+(J-1)*5].re,A[(I-1)+(J-1)*5].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' B' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[B[_i].re,B[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' PEYTAT:']) + #$0D#$0A; 
P := 1;
ASP1C(A,B,X,T,S,5,6,P);
Result := Result + Format('%s',[' A' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 6 do
   begin
    Result := Result + Format('%20.16f %20.16f ',
 [A[(I-1)+(J-1)*5].re,A[(I-1)+(J-1)*5].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' T' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 5 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[T[_i].re,T[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' S' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%4d ',[S[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' B' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[B[_i].re,B[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' X' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 5 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[X[_i].re,X[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tasp1c',Result);  {     tasp1c.res }
exit;
end;

end.
